package com.ruoyi.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.ServiceBusiness;
import com.ruoyi.business.domain.ServiceBusinessVo;
import com.ruoyi.common.core.domain.TreeSelectCommon;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 对外业务服务Service接口
 * 
 * @author wzq
 * @date 2024-01-10
 */
public interface IServiceBusinessService extends IService<ServiceBusiness> {

    /**
     * 查询对外业务服务列表
     * 
     * @param serviceBusiness 对外业务服务
     * @return 对外业务服务集合
     */
    List<ServiceBusiness> selectServiceBusinessList(ServiceBusiness serviceBusiness);

    ServiceBusiness selectServiceBusinessByOutName(String outName);
    /**
     * 查询对外业务服务详情
     *
     * @param id 对外业务服务主键
     * @return 对外业务服务
     */
     ServiceBusiness selectServiceBusinessById(Long id);

    /**
     * 新增对外业务服务
     * 
     * @param serviceBusiness 对外业务服务
     * @return 结果
     */
    int insertServiceBusiness(ServiceBusiness serviceBusiness);

    /**
     * 修改对外业务服务
     * 
     * @param serviceBusiness 对外业务服务
     * @return 结果
     */
    Boolean updateServiceBusiness(ServiceBusiness serviceBusiness);

    /**
     * 批量删除对外业务服务
     * 
     * @param ids 需要删除的对外业务服务主键集合
     * @return 结果
     */
    int deleteServiceBusinessByIds(Long[] ids);

    /**
     * 删除对外业务服务信息
     * 
     * @param id 对外业务服务主键
     * @return 结果
     */
    int deleteServiceBusinessById(Long id);

    /**
     * 查询对外业务服务树结构信息
     *
     * @param serviceBusiness 对外业务服务信息
     * @return 部门树信息集合
     */
    public List<TreeSelectCommon> selectGrantTreeList(ServiceBusiness serviceBusiness);

    List<ServiceBusiness> getServiceBusinessByIds(List<Long> list);

}
